<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:label="http://xbrl.org/2008/label" xmlns:gen="http://xbrl.org/2008/generic" xmlns:va="http://xbrl.org/2008/assertion/value" xmlns:df="http://xbrl.org/2008/filter/dimension" xmlns:variable="http://xbrl.org/2008/variable" xmlns:cf="http://xbrl.org/2008/filter/concept" xmlns:gf="http://xbrl.org/2008/filter/general" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:ea="http://xbrl.org/2008/assertion/existence">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost" xlink:type="locator" xlink:label="AdjustmentsForFinanceIncomeCost"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:type="locator" xlink:label="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:loc xlink:href="k2h-2022-12-31.xsd#k2h_AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement" xlink:type="locator" xlink:label="AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement"/>
        <link:loc xlink:href="k2h-2022-12-31.xsd#k2h_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:type="locator" xlink:label="AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
        <link:loc xlink:href="k2h-2022-12-31.xsd#k2h_AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome" xlink:type="locator" xlink:label="AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome"/>
        <link:loc xlink:href="k2h-2022-12-31.xsd#k2h_CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent" xlink:type="locator" xlink:label="CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent"/>
        <link:loc xlink:href="k2h-2022-12-31.xsd#k2h_IncreaseDecreaseThroughAppropriationOfSharePremium" xlink:type="locator" xlink:label="IncreaseDecreaseThroughAppropriationOfSharePremium"/>
        <link:loc xlink:href="k2h-2022-12-31.xsd#k2h_LossFromDiscontinuedOperations" xlink:type="locator" xlink:label="LossFromDiscontinuedOperations"/>
        <link:loc xlink:href="k2h-2022-12-31.xsd#k2h_ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations" xlink:type="locator" xlink:label="ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations"/>
        <link:loc xlink:href="k2h-2022-12-31.xsd#k2h_TradePayablesInReverseFactoringAgreement" xlink:type="locator" xlink:label="TradePayablesInReverseFactoringAgreement"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForFinanceIncomeCost" xlink:to="negated_AdjustmentsForFinanceIncomeCost" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement" xlink:to="documentation_AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement" xlink:to="label_AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:to="documentation_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:to="label_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome" xlink:to="documentation_AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome" xlink:to="label_AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="periodEnd_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="periodStart_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent" xlink:to="documentation_CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent" xlink:to="label_CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseThroughAppropriationOfSharePremium" xlink:to="documentation_IncreaseDecreaseThroughAppropriationOfSharePremium" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseThroughAppropriationOfSharePremium" xlink:to="label_IncreaseDecreaseThroughAppropriationOfSharePremium" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossFromDiscontinuedOperations" xlink:to="label_LossFromDiscontinuedOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossFromDiscontinuedOperations" xlink:to="negated_LossFromDiscontinuedOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="terseLabel_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations" xlink:to="documentation_ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations" xlink:to="label_ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="negatedTerseLabel_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradePayablesInReverseFactoringAgreement" xlink:to="documentation_TradePayablesInReverseFactoringAgreement" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradePayablesInReverseFactoringAgreement" xlink:to="label_TradePayablesInReverseFactoringAgreement" xlink:type="arc"/>
        <link:label id="documentation_AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement_en" xlink:label="documentation_AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments for increase decrease in trade payables in reverse factoring agreement</link:label>
        <link:label id="documentation_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_en" xlink:label="documentation_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments for provisions and adjustments for increase decrease in other liabilities</link:label>
        <link:label id="documentation_AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome_en" xlink:label="documentation_AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments for provisions current government grants and accruals and deferred income</link:label>
        <link:label id="documentation_CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent_en" xlink:label="documentation_CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Current government grants and accruals and deferred income classified as current</link:label>
        <link:label id="documentation_IncreaseDecreaseThroughAppropriationOfSharePremium_en" xlink:label="documentation_IncreaseDecreaseThroughAppropriationOfSharePremium" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Increase decrease through appropriation of share premium</link:label>
        <link:label id="documentation_ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations_en" xlink:label="documentation_ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Profit loss before tax from continuing operations and discontinued operations</link:label>
        <link:label id="documentation_TradePayablesInReverseFactoringAgreement_en" xlink:label="documentation_TradePayablesInReverseFactoringAgreement" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Trade payables in reverse factoring agreement</link:label>
        <link:label id="label_AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement_en" xlink:label="label_AdjustmentsForIncreaseDecreaseInTradePayablesInReverseFactoringAgreement" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for increase decrease in trade payables in reverse factoring agreement</link:label>
        <link:label id="label_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_en" xlink:label="label_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for provisions and adjustments for increase decrease in other liabilities</link:label>
        <link:label id="label_AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome_en" xlink:label="label_AdjustmentsForProvisionsCurrentGovernmentGrantsAndAccrualsAndDeferredIncome" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for provisions current government grants and accruals and deferred income</link:label>
        <link:label id="label_CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent_en" xlink:label="label_CurrentGovernmentGrantsAndAccrualsAndDeferredIncomeClassifiedAsCurrent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current government grants and accruals and deferred income classified as current</link:label>
        <link:label id="label_IncreaseDecreaseThroughAppropriationOfSharePremium_en" xlink:label="label_IncreaseDecreaseThroughAppropriationOfSharePremium" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Increase decrease through appropriation of share premium</link:label>
        <link:label id="label_LossFromDiscontinuedOperations_en" xlink:label="label_LossFromDiscontinuedOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loss From Discontinued Operations</link:label>
        <link:label id="label_ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations_en" xlink:label="label_ProfitLossBeforeTaxFromContinuingOperationsAndDiscontinuedOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit loss before tax from continuing operations and discontinued operations</link:label>
        <link:label id="label_TradePayablesInReverseFactoringAgreement_en" xlink:label="label_TradePayablesInReverseFactoringAgreement" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Trade payables in reverse factoring agreement</link:label>
        <link:label id="negatedTerseLabel_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_en" xlink:label="negatedTerseLabel_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="en">Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets negated terse</link:label>
        <link:label id="negated_AdjustmentsForFinanceIncomeCost_en" xlink:label="negated_AdjustmentsForFinanceIncomeCost" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Adjustments for finance income (cost) negated</link:label>
        <link:label id="negated_LossFromDiscontinuedOperations_en" xlink:label="negated_LossFromDiscontinuedOperations" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Loss From Discontinued Operations</link:label>
        <link:label id="periodEnd_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_en" xlink:label="periodEnd_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents if different from statement of financial position period end</link:label>
        <link:label id="periodStart_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_en" xlink:label="periodStart_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents if different from statement of financial position period start</link:label>
        <link:label id="terseLabel_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_en" xlink:label="terseLabel_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="en">Proceeds from disposals of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets terse</link:label>
    </link:labelLink>
</link:linkbase>
